#ifndef SIZEREPORTCTRL_H
#define SIZEREPORTCTRL_H


#include <wx/aui/aui.h>
#include <wx/dcclient.h>

// -- wxSizeReportCtrl --
// (a utility control that always reports it's client size)

class wxSizeReportCtrl : public wxControl
{
public:

    wxSizeReportCtrl(wxWindow* parent, wxWindowID id = wxID_ANY,
                     const wxPoint& pos = wxDefaultPosition,
                     const wxSize& size = wxDefaultSize,
                     wxAuiManager* mgr = NULL);

private:

    void OnPaint(wxPaintEvent& WXUNUSED(evt));

    void OnEraseBackground(wxEraseEvent& WXUNUSED(evt));


    void OnSize(wxSizeEvent& WXUNUSED(evt));

private:

    wxAuiManager* m_mgr;

    wxDECLARE_EVENT_TABLE();
};


#endif // SIZEREPORTCTRL_H


